function pdemodel
[pde_fig,ax]=pdeinit;
pdetool('appl_cb',1);
pdetool('snapon','on');
set(ax,'DataAspectRatio',[1 1 1]);
set(ax,'PlotBoxAspectRatio',[1.5 1 1]);
set(ax,'XLim',[-1.5 1.5]);
set(ax,'YLim',[-1 1]);
set(ax,'XTick',[ -1.5,...
 -1.3,...
 -1.1000000000000001,...
 -0.89999999999999991,...
 -0.69999999999999996,...
 -0.5,...
 -0.29999999999999982,...
 -0.099999999999999867,...
 0.099999999999999867,...
 0.29999999999999982,...
 0.5,...
 0.69999999999999996,...
 0.89999999999999991,...
 1.1000000000000001,...
 1.3,...
 1.5,...
]);
set(ax,'YTickMode','auto');
pdetool('gridon','on');

% Geometry description:
pderect([-1.1000000000000001 0.89999999999999991 0.60000000000000009 -0.39999999999999991],'R1');
pdecirc(-0.099999999999999867,0.60000000000000009,0.39999999999999969,'C1');
pdecirc(-0.099999999999999867,-0.39999999999999991,0.40000000000000013,'C2');
set(findobj(get(pde_fig,'Children'),'Tag','PDEEval'),'String','R1-(C1+C2)')

% Boundary conditions:
pdetool('changemode',0)
pdesetbd(10,...
'neu',...
1,...
'0',...
'0')
pdesetbd(9,...
'neu',...
1,...
'0',...
'0')
pdesetbd(8,...
'neu',...
1,...
'0',...
'0')
pdesetbd(7,...
'neu',...
1,...
'0',...
'0')
pdesetbd(6,...
'neu',...
1,...
'0',...
'0')
pdesetbd(5,...
'neu',...
1,...
'0',...
'0')
pdesetbd(4,...
'neu',...
1,...
'0',...
'0')
pdesetbd(3,...
'neu',...
1,...
'0',...
'0')
pdesetbd(2,...
'dir',...
1,...
'1',...
'10')
pdesetbd(1,...
'dir',...
1,...
'1',...
'0')

% Mesh generation:
setappdata(pde_fig,'Hgrad',1.3);
setappdata(pde_fig,'refinemethod','regular');
setappdata(pde_fig,'jiggle',char('on','mean',''));
pdetool('initmesh')

% PDE coefficients:
pdeseteq(1,...
'1.0',...
'0.0',...
'0.0',...
'1.0',...
'0:10',...
'0.0',...
'0.0',...
'[0 100]')
setappdata(pde_fig,'currparam',...
['1.0';...
'0.0';...
'0.0';...
'1.0'])

% Solve parameters:
setappdata(pde_fig,'solveparam',...
str2mat('1','1000','10','pdeadworst',...
'0.5','longest','0','1e-4','','fixed','inf'))

% Plotflags and user data strings:
setappdata(pde_fig,'plotflags',[2 1 1 1 1 1 7 1 0 1 0 1 1 0 0 1 0 1]);
setappdata(pde_fig,'colstring','');
setappdata(pde_fig,'arrowstring','');
setappdata(pde_fig,'deformstring','');
setappdata(pde_fig,'heightstring','');
